<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本: 1.2
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情（王艳昭）
\* 功能: 后台系统-等级处理程式
\* ===========================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 技术论坛: http://ctb.11cn.org
\* 创建日期: 2002/7/10
\* 修改日期: ------
\* 修改说明: ------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/

//=============================================================================
class Module extends CommonClass
//系统管理模块子类
{
    function execute() {
        switch($this->input['action']) {
			//
            case 'showUserGrade':
                $this->showUserGrade();
                break;
            case 'addUserGrade':
                $this->addUserGrade();
                break;
            case 'delUserGrade':
                $this->delUserGrade();
                break;
            case 'modeUserGrade':
                $this->modeUserGrade();
                break;
			//
        }	
    } // end func

//-----------------------------------------------------------------------------
//---后台一些处理模块
//1---显示所有用户等级:showUserGrade()
//2---添加一个用户等级:addUserGrade()
//3---删除一个用户等级:delUserGrade()
//4---修改一个用户等级:modeUserGrade()
//-----------------------------------------------------------------------------
//1=============================================================================
//显示所有用户等级
function showUserGrade()
{
	$this->file = "../".$this->set[dataPath]."/membertitle.php";
    $gradeLine = $this->openfile();
   		for( $i = 0; $i < count($gradeLine); $i++) {
		$num=$i+1;
		$id=$gradeLine[$i][4];
		$gradePost=$gradeLine[$i][1];
	    $gradeName=$gradeLine[$i][2];
		$gradePic=$gradeLine[$i][3];
	    eval ("\$grade_body .= \"".$this->getTemplate("systemGradeBody")."\";");
		}
eval("\$this->outPut(\"".$this->getTemplate("systemGrade")."\");");
} // end func

//2=============================================================================
//添加一个用户等级
function addUserGrade()
{   
    //输入数据简单格式化
    $this->inputCheck("main.php?mod=systemgrade&action=showUserGrade");
	//实行添加操作
	$id=time();
	$this->file = "../".$this->set[dataPath]."/membertitle.php";
    $postList = array($this->code,$this->input['gradePost'],$this->input['gradeName'],$this->input['gradePic'],$id,"","\n");
	$this->insertTop($this->file,$postList);
    //返回提示信息
   $this->adminShowMsg("main.php?mod=systemgrade&action=showUserGrade","您已经成功添加了用户等级");
} // end func


//3=============================================================================
//删除一个用户登记
function delUserGrade()
{ 
	//执行删除操作
	$this->file = "../".$this->set[dataPath]."/membertitle.php";
	$this->delete2("4",$this->input['id']);
    //返回提示信息
   $this->adminShowMsg("main.php?mod=systemgrade&action=showUserGrade","您已经成功删除了用户等级");
} // end func

//4=============================================================================
//修改一个用户等级
function modeUserGrade()
{ 

    //输入数据简单格式化
    $this->inputCheck("main.php?mod=systemgrade&action=showUserGrade");
    //执行删除操作
	$this->file = "../".$this->set[dataPath]."/membertitle.php";
	$updateArray=array($this->code,$this->input['gradePost'],$this->input['gradeName'],$this->input['gradePic'],$this->input['id'],"","\n");
	$this->update2(4,$this->input['id'],$updateArray);
    //返回提示信息
    $this->adminShowMsg("main.php?mod=systemgrade&action=showUserGrade","您已经成功修改了用户等级");
} // end func



//=============================================================================
} //end class
